"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const defaults_1 = require("./defaults");
const postgres_connection_1 = require("./postgres-connection");
exports.plugin = {
    pkg: require("../package.json"),
    defaults: defaults_1.defaults,
    required: true,
    alias: "postgres",
    extends: "@luodexun/database-manager",
    async register(container, options) {
        container.resolvePlugin("logger").info("Establishing Database:postgres Connection");
        const connectionManager = container.resolvePlugin("database-manager");
        return await connectionManager.createConnection(new postgres_connection_1.PostgresConnection(options), 'postgres');
    },
    async deregister(container, options) {
        container.resolvePlugin("logger").info("Closing Database:postgres Connection");
        await container.resolvePlugin("postgres").disconnect();
    },
};
//# sourceMappingURL=plugin.js.map